(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['ngx-gist'] = global['ngx-gist'] || {}),global._angular_core,global._angular_common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

var __decorate$1 = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (undefined && undefined.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var NgxGist = (function () {
    function NgxGist() {
    }
    NgxGist.prototype.ngAfterViewInit = function () {
        var fileName = (this.file) ? this.file : '';
        this.iframe.nativeElement.id = 'gist-' + this.gistId;
        var doc = this.iframe.nativeElement.contentDocument || this.iframe.nativeElement.contentElement.contentWindow;
        var content = "\n        <html>\n        <head>\n          <base target=\"_parent\">\n        </head>\n        <body onload=\"parent.document.getElementById('" + this.iframe.nativeElement.id + "')\">\n        <script type=\"text/javascript\" src=\"https://gist.github.com/" + this.gistId + ".js?file=" + fileName + "\"></script>\n        </body>\n      </html>\n    ";
        doc.open();
        doc.write(content);
        doc.close();
    };
    __decorate$1([
        _angular_core.ViewChild('iframe'),
        __metadata("design:type", _angular_core.ElementRef)
    ], NgxGist.prototype, "iframe", void 0);
    __decorate$1([
        _angular_core.Input(),
        __metadata("design:type", Object)
    ], NgxGist.prototype, "gistId", void 0);
    __decorate$1([
        _angular_core.Input(),
        __metadata("design:type", String)
    ], NgxGist.prototype, "file", void 0);
    NgxGist = __decorate$1([
        _angular_core.Component({
            selector: 'ngx-gist',
            template: "\n    <iframe #iframe type=\"text/javascript\" width=\"100%\" frameborder=\"0\" style = \"height:inherit\"></iframe>\n  ",
            styleUrls: [],
            encapsulation: _angular_core.ViewEncapsulation.None
        })
    ], NgxGist);
    return NgxGist;
}());

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NgxGistModule = (function () {
    function NgxGistModule() {
    }
    NgxGistModule = __decorate([
        _angular_core.NgModule({
            imports: [_angular_common.CommonModule],
            declarations: [NgxGist],
            exports: [NgxGist]
        })
    ], NgxGistModule);
    return NgxGistModule;
}());

exports.NgxGistModule = NgxGistModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
